comedi_get_cmd_src_mask
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_cmd_src_mask — streaming input/output capabilities

## Synopsis

    #include <comedilib.h>

`int comedi_get_cmd_src_mask(` | comedi_t * device,
| unsigned int subdevice,
| comedi_cmd * command`)`;

## Description

The command capabilities of the subdevice indicated by the parameters `device` and `subdevice` are probed, and the results placed in the command structure pointed to by `command`. The trigger source elements of the command structure are set to be the bitwise-or of the subdevice's supported trigger sources. Other elements in the structure are undefined.

## Return value

On success, `0` is returned. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_cmd_generic_timed | Home | comedi_get_max_buffer_size